Subject: Re: [PATCH net-next] net: stmmac: Correct spelling from clk_scr_i to clk_csr_i

From: Yanteng Si <[email-masked]>
Date: Mon, 2 Feb 2026 15:43:01 +0800

在 2026/2/2 15:29, Huacai Chen 写道:
> On Mon, Feb 2, 2026 at 9:36 AM Yanteng Si <[email-masked]> wrote:
>>
>> 在 2026/2/1 10:36, Huacai Chen 写道:
>>> In include/linux/stmmac.h clk_csr_i is spelled as clk_scr_i by mistake,
>>> so correct it.
>>>
>>> Cc: [email-masked]
>>> Signed-off-by: Huacai Chen <[email-masked]>
>> fix tag?
>>
>> But this is just a comment, no need to backport it (I'm fine either way).
>>
>> If no fix tag, please update the subject to typo fix instead.
> Why? Is the subject line wrong?

You're absolutely right, and "typo" specifically refers to a typographical

error in written content—this patch is a correction to a comment, so using

"typo" is perfectly appropriate.

I might be misinterpreting the wording here – what I really want is to tell

exactly what a patch modifies from the subject alone, without having to

check the patch content. Maybe "correct comment" is a better fit. I know

I'm splitting hairs a bit, but I couldn't just stay silent after receiving your

patch, right?

Thanks,

Yanteng

> Huacai
>> Thanks,
>> Yanteng